# GESEffectClip

The effect will be applied on the sources that have lower priorities (higher number) between the inpoint and the end of it.

The asset ID of an effect clip is in the form:

      "audio ! bin ! description || video ! bin ! description"

## GESEffectClip

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESContainer
                    ╰──GESClip
                        ╰──GESOperationClip
                            ╰──GESBaseEffectClip
                                ╰──GESEffectClip

### Class structure

#### GESEffectClipClass

### GES.EffectClipClass

## GES.EffectClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.OperationClip
                            ╰──GES.BaseEffectClip
                                ╰──GES.EffectClip

## GES.EffectClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.OperationClip
                            ╰──GES.BaseEffectClip
                                ╰──GES.EffectClip

### Constructors

#### ges_effect_clip_new

    GESEffectClip *
    ges_effect_clip_new (const gchar * video_bin_description,
                         const gchar * audio_bin_description)

Creates a new GESEffectClip from the description of the bin.

Parameters:

`video_bin_description` ( [nullable]) –

The gst-launch like bin description of the effect

`audio_bin_description` ( [nullable]) –

The gst-launch like bin description of the effect

Returns ( [transfer: floating][nullable]) –

a newly created GESEffectClip, or NULL if something went wrong.

#### GES.EffectClip.prototype.new

    function GES.EffectClip.prototype.new(video_bin_description: String, audio_bin_description: String): {
        // javascript wrapper for 'ges_effect_clip_new'
    }

Creates a new GES.EffectClip from the description of the bin.

Parameters:

`video_bin_description` (String) –

The gst-launch like bin description of the effect

`audio_bin_description` (String) –

The gst-launch like bin description of the effect

Returns (GES.EffectClip) –

a newly created GES.EffectClip, or null if something went wrong.

#### GES.EffectClip.new

    def GES.EffectClip.new (video_bin_description, audio_bin_description):
        #python wrapper for 'ges_effect_clip_new'

Creates a new GES.EffectClip from the description of the bin.

Parameters:

`video_bin_description` (str) –

The gst-launch like bin description of the effect

`audio_bin_description` (str) –

The gst-launch like bin description of the effect

Returns (GES.EffectClip) –

a newly created GES.EffectClip, or None if something went wrong.

### Properties

#### audio-bin-description

    “audio-bin-description” gchar *

The description of the audio track of the effect bin with a gst-launch-style pipeline description. This should be used for test purposes.

Example: "audiopanorama panorama=1.0"

Flags : Read / Write / Construct Only

#### audio-bin-description

    “audio-bin-description” String

The description of the audio track of the effect bin with a gst-launch-style pipeline description. This should be used for test purposes.

Example: "audiopanorama panorama=1.0"

Flags : Read / Write / Construct Only

#### audio_bin_description

    “self.props.audio_bin_description” str

The description of the audio track of the effect bin with a gst-launch-style pipeline description. This should be used for test purposes.

Example: "audiopanorama panorama=1.0"

Flags : Read / Write / Construct Only

#### video-bin-description

    “video-bin-description” gchar *

The description of the video track of the effect bin with a gst-launch-style pipeline description. This should be used for test purposes.

Example: "videobalance saturation=1.5 hue=+0.5"

Flags : Read / Write / Construct Only

#### video-bin-description

    “video-bin-description” String

The description of the video track of the effect bin with a gst-launch-style pipeline description. This should be used for test purposes.

Example: "videobalance saturation=1.5 hue=+0.5"

Flags : Read / Write / Construct Only

#### video_bin_description

    “self.props.video_bin_description” str

The description of the video track of the effect bin with a gst-launch-style pipeline description. This should be used for test purposes.

Example: "videobalance saturation=1.5 hue=+0.5"

Flags : Read / Write / Construct Only

## Constants

### GES_TYPE_EFFECT_CLIP

    #define GES_TYPE_EFFECT_CLIP ges_effect_clip_get_type()

The results of the search are